Package org.codehaus.janino.util

# Class ClassFile.ConstantNameAndTypeInfo

java.lang.Object
org.codehaus.janino.util.ClassFile.ConstantPoolInfo
org.codehaus.janino.util.ClassFile.ConstantNameAndTypeInfo

Enclosing class:
  `ClassFile`

public static class ClassFile.ConstantNameAndTypeInfo extends ClassFile.ConstantPoolInfo
See JVMS7 4.4.6.

## Constructor Summary

Constructors
Constructor
Description
`ConstantNameAndTypeInfo(short nameIndex, short descriptorIndex)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getDescriptor(ClassFile classFile)`
`String`
`getName(ClassFile classFile)`
`int`
`hashCode()`
`boolean`
`isWide()`
`void`
`store(DataOutputStream dos)`
Stores this CP entry into a `DataOutputStream`.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConstantNameAndTypeInfo

public ConstantNameAndTypeInfo(short nameIndex, short descriptorIndex)

## Method Details

### getName

public String getName(ClassFile classFile)

Returns:
  The name of the field or method

### getDescriptor

public String getDescriptor(ClassFile classFile)

Returns:
  The (field or method) descriptor related to the name

### isWide

public boolean isWide()

Specified by:
  `isWide` in class `ClassFile.ConstantPoolInfo`
Returns:
  Whether this CP entry is "wide" in the sense of JVMS7 4.4.5

### store

public void store(DataOutputStream dos) throws IOException
Description copied from class: `ClassFile.ConstantPoolInfo`
Stores this CP entry into a `DataOutputStream`.

See JVMS7 4.4.1 and following.

Specified by:
  `store` in class `ClassFile.ConstantPoolInfo`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(@Nullable Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`